cordova.define("com.ijmtech.plugin.device.DeviceHelper", function(require, exports, module) {
var exec = require('cordova/exec');

exports.getManufacturer = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getManufacturer', []);
};

exports.getPhoneType = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getPhoneType', []);
};

exports.getOsType = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getOsType', []);
};

exports.getOsVersion = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getOsVersion', []);
};

exports.getAppSign = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getAppSign', []);
};

exports.getPkgName = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getPkgName', []);
};

exports.getAllMsg = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getAllMsg', []);
};

exports.getNativePushMsg = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getNativePushMsg', []);
};

exports.setUserKey = function (strUserKey, success, error) {
    exec(success, error, 'DeviceHelper', 'setUserKey', [strUserKey]);
};

exports.enterBusiness = function (strBusinessKey, success, error) {
    exec(success, error, 'DeviceHelper', 'enterBusiness', [strBusinessKey]);
};

exports.leaveBusiness = function (strBusinessKey, success, error) {
    exec(success, error, 'DeviceHelper', 'leaveBusiness', [strBusinessKey]);
};

exports.isNotificationOpened = function (success, error) {
    exec(success, error, 'DeviceHelper', 'isNotificationOpened', []);
};

exports.getNotificationChannels = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getNotificationChannels', []);
};

exports.gotoNotificationSettings = function (channelId, success, error) {
    exec(success, error, 'DeviceHelper', 'gotoNotificationSettings', [channelId]);
};

exports.setBadgeNumber = function (badgeNumber, success, error) {
    exec(success, error, 'DeviceHelper', 'setBadgeNumber', [badgeNumber]);
};

exports.gotoPackage = function (strPkgName, success, error) {
    exec(success, error, 'DeviceHelper', 'gotoPackage', [strPkgName]);
};

exports.getAppMsg = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getAppMsg', []);
};

exports.getExcusiveMsg = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getExcusiveMsg', []);
};

exports.getDispatcher = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getDispatcher', []);
};

exports.showToast = function (msg, isLong, success, error) {
    exec(success, error, 'DeviceHelper', 'showToast', [msg, isLong]);
};

exports.getReport = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getReport', []);
};

exports.cleanReport = function (success, error) {
    exec(success, error, 'DeviceHelper', 'cleanReport', []);
};

});
