cordova.define("com.ijmtech.plugin.media.MediaHelper", function(require, exports, module) {
var exec = require('cordova/exec');

exports.downloadFromCache = function (strCachePath, success, error) {
    exec(success, error, 'MediaHelper', 'downloadFromCache', [strCachePath]);
};

exports.downloadFromCacheWithName = function (strCachePath, strFileName, success, error) {
    exec(success, error, 'MediaHelper', 'downloadFromCacheWithName', [strCachePath, strFileName]);
};

exports.copyMediaFile = function (strOriginalPath, success, error) {
    exec(success, error, 'MediaHelper', 'copyMediaFile', [strOriginalPath]);
};

exports.removeMediaFile = function (strMediaPath, success, error) {
    exec(success, error, 'MediaHelper', 'removeMediaFile', [strMediaPath]);
};

exports.getVideoCover = function (strVideoUrl, success, error) {
    exec(success, error, 'MediaHelper', 'getVideoCover', [strVideoUrl]);
};

exports.getAudioLength = function (strAudioUrl, success, error) {
    exec(success, error, 'MediaHelper', 'getAudioLength', [strAudioUrl]);
};

exports.getFileLength = function (strFileUrl, success, error) {
    exec(success, error, 'MediaHelper', 'getFileLength', [strFileUrl]);
};

exports.saveTmpFile = function (strData, strExtName, success, error) { 
    exec(success, error, 'MediaHelper', 'saveTmpFile', [strData, strExtName]);
};

});
